<?php
/**
 * PeripheryApiTest
 * PHP version 7.3
 *
 * @category Class
 * @package  SLIS\Adapter\Tanss
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * TANSS API
 *
 * ## Documentation of the TANSS API. Version: 5.8.22.1  ### older versions Older versions of the API documentation can be found here: * [Docs for 5.8.21.6](https://api-doc.tanss.de/5.8.21.6/) * [Docs for 5.8.21.3](https://api-doc.tanss.de/5.8.21.3/) * [Docs for 5.8.21.1](https://api-doc.tanss.de/5.8.21.1/) * [Docs for 5.8.20.5](https://api-doc.tanss.de/5.8.20.5/) * [Docs for 5.8.20.4](https://api-doc.tanss.de/5.8.20.4/) * [Docs for 5.8.20.2](https://api-doc.tanss.de/5.8.20.2/) * [Docs for 5.8.19.3](https://api-doc.tanss.de/5.8.19.3/)
 *
 * The version of the OpenAPI document: 5.8.22.1
 * Contact: support@tanss.de
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 6.0.0-SNAPSHOT
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace SLIS\Adapter\Tanss\Test\Api;

use \SLIS\Adapter\Tanss\Configuration;
use \SLIS\Adapter\Tanss\ApiException;
use \SLIS\Adapter\Tanss\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * PeripheryApiTest Class Doc Comment
 *
 * @category Class
 * @package  SLIS\Adapter\Tanss
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class PeripheryApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass(): void
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp(): void
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown(): void
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass(): void
    {
    }

    /**
     * Test case for apiV1PeripheriesPeripheryIdBuildInLinkTypeIdLinkIdDelete
     *
     * Delete periphery assignment.
     *
     */
    public function testApiV1PeripheriesPeripheryIdBuildInLinkTypeIdLinkIdDelete()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1PeripheriesPeripheryIdBuildInLinkTypeIdLinkIdPost
     *
     * Assign periphery.
     *
     */
    public function testApiV1PeripheriesPeripheryIdBuildInLinkTypeIdLinkIdPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1PeripheriesPeripheryIdDelete
     *
     * Deletes a periphery.
     *
     */
    public function testApiV1PeripheriesPeripheryIdDelete()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1PeripheriesPeripheryIdGet
     *
     * Gets a periphery by id.
     *
     */
    public function testApiV1PeripheriesPeripheryIdGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1PeripheriesPeripheryIdPut
     *
     * Updates a periphery.
     *
     */
    public function testApiV1PeripheriesPeripheryIdPut()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1PeripheriesPost
     *
     * Creates a periphery.
     *
     */
    public function testApiV1PeripheriesPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1PeripheriesPut
     *
     * Gets a list of peripheries.
     *
     */
    public function testApiV1PeripheriesPut()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1PeripheriesTypesGet
     *
     * Get periphery types.
     *
     */
    public function testApiV1PeripheriesTypesGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1PeripheriesTypesPost
     *
     * Create periphery type.
     *
     */
    public function testApiV1PeripheriesTypesPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1PeripheriesTypesTypeIdDelete
     *
     * Delete periphery type.
     *
     */
    public function testApiV1PeripheriesTypesTypeIdDelete()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1PeripheriesTypesTypeIdPut
     *
     * Update periphery type.
     *
     */
    public function testApiV1PeripheriesTypesTypeIdPut()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }
}
